MPC85XX_RIO_CONF(9)

NAME
mpc85xx_rio_config_write - Generate a MPC85xx write maintenance transaction

SYNOPSIS

int mpc85xx_rio_config_write (int index, u16 destid, u8 hopcount, u32 offset, int len, u32 val);

ARGUMENTS

index
    ID of RapdiIO interface

destid
    Destination ID of transaction

hopcount
    Number of hops to target device

offset
    Offset into configuration space

len Length (in bytes) of the maintenance transaction

val Value to be written

DESCRIPTION

Generates an MPC85xx write maintenance transaction. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.